#!/usr/bin/perl


sub PreCreateForm ()
{
   if($oSessionGL->getState("ActualLogin") or $oSessionGL->getState("IsAnonymous"))
   {

      my $cDefaultUrl = &MyVal("WWWdb", "DefaultUrl",
                               "WWWdb:Nav;cat=1");

      &Redirect(&GetAttr("SessionId"), $cDefaultUrl);
   }
   else
   {
      &Redirect(&GetAttr("SessionId"),
                "WWWdb:System:Login");
   }
}

1;



